<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * @property mixed id
 */
class City extends Model
{
    //use soft delete
    use SoftDeletes;

    protected $fillable = [
       'country_id'
    ];

    /**
     * Return descriptions for article
     * @return HasMany
     */
    public function descriptions() : HasMany
    {
        return $this->hasMany(CityDescription::class);
    }
    public function country() 
    {
        return $this->belongsTo(Country::class,'country_id');
    }


  
}
